%define name bib2html
%define version 4.2
%define release 1

%define bib2html_url http://www.arakhne.org/bib2html

%define pod2man /usr/bin/pod2man
%define gzip /usr/bin/gzip

%define mydocdir %{_docdir}/%{name}
%define mylibdir %{_libdir}/%{name}

Summary: BibTeX to HTML translator
Summary(fr): Convertisseur BibTeX vers HTML
Name: %{name}
Version: %{version}
Release: %{release}
URL: %{bib2html_url}/
Source0: %{bib2html_url}/%{name}-%{version}.tar.gz
License: GPL
Group: Publishing
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Requires: perl
BuildRequires: %{pod2man} %{gzip}

%description
bib2html is a script which permits to generate a set of HTML pages from a 
BibTeX database.

%description -l fr
bib2html est un script permettant de gnrer un ensemble de pages HTML  partir d'une base bibliographique dcrite dans le format BibTeX.

%prep
%setup -n %{name}-%{version}

%build
# Build the manual pages
	%{pod2man} --section=1 --release="%{version}" --center=' ' --name="Bib2HTML" src/bib2html.pl man/bib2html.1
	%{gzip} man/bib2html.1

	%{pod2man} --section=1 --release="%{version}" --center=' ' --name=Bib2HTML man/bib2html_fr.pod man/bib2html.fr.1
	%{gzip} man/bib2html.fr.1

	%{pod2man} --section=1 --release="%{version}" --center=' ' --name=Bib2XML man/bib2xml_en.pod man/bib2xml.1
	%{gzip} man/bib2xml.1

	%{pod2man} --section=1 --release="%{version}" --center=' ' --name=Bib2XML man/bib2xml_fr.pod man/bib2xml.fr.1
	%{gzip} man/bib2xml.fr.1

%install
	rm -rf $RPM_BUILD_ROOT

	install --mode=0755 -d "$RPM_BUILD_ROOT%{mylibdir}"
	install --mode=0755 -d "$RPM_BUILD_ROOT%{mydocdir}"
	install --mode=0755 -d "$RPM_BUILD_ROOT%{_bindir}"
	install --mode=0755 -d "$RPM_BUILD_ROOT%{_mandir}/man1"
	install --mode=0755 -d "$RPM_BUILD_ROOT%{_mandir}/fr/man1"

	cp -Rf ./src/* "$RPM_BUILD_ROOT%{mylibdir}/"

	dh_link usr/lib/bib2html/bib2html.pl usr/bin/bib2html
	dh_link usr/lib/bib2html/bib2xml.pl usr/bin/bib2xml

	cp -f ./doc/* "$RPM_BUILD_ROOT%{mydocdir}/"
	cp -f "./Changelog" "./COPYING" "./AUTHORS" "./README" "./VERSION" "$RPM_BUILD_ROOT%{mydocdir}/"

	cp -f "man/bib2html.1.gz" "$RPM_BUILD_ROOT%{_mandir}/man1/bib2html.1.gz"
	cp -f "man/bib2html.fr.1.gz" "$RPM_BUILD_ROOT%{_mandir}/fr/man1/bib2html.1.gz"
	cp -f "man/bib2xml.1.gz" "$RPM_BUILD_ROOT%{_mandir}/man1/bib2xml.1.gz"
	cp -f "man/bib2xml.fr.1.gz" "$RPM_BUILD_ROOT%{_mandir}/fr/man1/bib2xml.1.gz"

	ln -sf "%{mylibdir}/bib2html.pl" "$RPM_BUILD_ROOT%{_bindir}/bib2html"
	ln -sf "%{mylibdir}/bib2xml.pl" "$RPM_BUILD_ROOT%{_bindir}/bib2xml"

%clean
	rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{mylibdir}
%{mylibdir}/bib2html.pl
%{mylibdir}/bib2xml.pl
%{mylibdir}/Bib2HTML
%{_bindir}/bib2html
%{_bindir}/bib2xml
%doc %{_mandir}/man1/bib2html.1.gz
%doc %{_mandir}/man1/bib2xml.1.gz
%doc %{_mandir}/fr/man1/bib2html.1.gz
%doc %{_mandir}/fr/man1/bib2xml.1.gz
%doc %{mydocdir}

%changelog
* Wed May 3 2006 Stephane <galland@arakhne.org>
- Add the support of the BibTeX field 'adsurl' which permits
  to link to the standard Astrophysics Citation Reference Database.

* Wed Apr 12 2006 Stephane <galland@arakhne.org>
- When the BibTeX parser find multi-definition of BibTeX strings,
  it dies on an undefined subroutine error.

* Mon Apr 10 2006 Stephane <galland@arakhne.org>
- Do not display in verbatim mode the BibTeX fields with
  a name starting with "opt".
- Luca patches the TeX translator for supporting more letters
  with the caron accent.
- From a Luca's request, the generator parameter 'hideindex'
  is introduced to allow hiding of the indexes.
- Aurel introduces the generator parameters 'max-titlelength-overview'
  and 'show-journalparams-overview'.
- Stephane introduces the generator parameter 'doc-repository'.
- Stephane introduces the command 'bib2xml' as a specialization
  of bib2html (with the option -g XML).
- The translator does not produce the right default value for
  the TeX command \v.
- The HTML function which permits to extract author initials
  was fixed to support in entry name's initials.
- The list of generators was ot properly displayed if
  the absolute path to bib2html contains a directory name
  with a space character.
- The list of support languages  was ot properly displayed if
  the absolute path to bib2html contains a directory name
  with a space character.
- The editors was not displayed when the author's list was empty.
- The BibTeX references [???] now support HTML characters.

* Tue Feb 17 2005 Stephane <galland@arakhne.org>
- Major bug fixes

* Mon Dec 6 2004 Stephane <galland@arakhne.org>
- Joao has added the Portuguese language support.
- Bug fix: the name of the language passed by '--lang' is
  now case-insensitive.

* Fri Dec 3 2004 Stephane <galland@arakhne.org>
- More TeX commands are added by Dimitris:
  \epsilon, \Epsilon, \mathbf, \mathit, \mathrm,
  \mathsf, \mathtt, \mathnormal, \sqrt
- Create a XML generator which respect the DTD from
  BibTeXML.
- Add an XML output inside the HTML generator.
- Bug fix: the character '+' is not allowed inside the entry keys.

* Fri Nov 26 2004 Stephane <galland@arakhne.org>
- FIRST RELEASE FOR MANDRAKE
- Spanish is included into the generators.
- Links to the author's list of publication was
  added for each other inside the entry's field
  list.
- The option '--checknames' permits to check if
  some author's names are duplicated or contain
  mistakes.
- Bug fixes.

* Fri Nov 12 2004 Stephane <galland@arakhne.org>
- sometimes the carriage return characters was
  not supported by the BibTeX parser.
- Generation of the BibTeX short labels (eg. [ABC04])
  produces too long labels in case a lot of
  names was proposed to the function.
- The names of the authors are not well upper-cased
  for each first letter of the words.
- if an error occurs during the copy of a pdf file,
  bib2html will not failed but only warm the user.

* Wed Sep 22 2004 Stephane <galland@arakhne.org>
- Fix the bug that copy the electronical file when
  the Extended generator's parameter "targt-url"
  was specified.

* Mon Aug 23 2004 Stephane <galland@arakhne.org>
- Lot of bug fixes
- Add the BibTeX's entry types 'proceedings' and 'unpublished'
- Add a documentation

* Thu Aug 19 2004 Stephane <galland@arakhne.org>
- Fix the file's permissions in this package.
- Add a UNIX manual page

* Tue Aug 17 2004 Stephane <galland@arakhne.org>
- Fix a bug in the BibTeX parser which prevents to
  properly scan the @comment
- Allow a comment line to finish the BibTeX file
  without any carriage return character.

* Mon Mar 29 2004 Stephane <galland@arakhne.org>
- add verbatim generation of BibTeX code
- Many bug fixes

* Fri Mar 19 2004 Stephane <galland@arakhne.org>
- First stable release

* Wed Feb 25 2004 Stephane <galland@arakhne.org>
- add an index of authors and of author's publications inside
  the two left frames
- add the class AbstractGenerator.pm
- add ExtendedGen.pm which permits to generate HTML page with:
  a) isbn, issn, and readers
  b) abstract and keywords
  c) the support for downloading an electronic
     document ('localfile')
- add the support of LaTeX environments (\begin,\end)
- add the generator Domain which permits to support domain
  for documents (domain,nddomain,rddomain,domains)
- Bug fixes	

* Thu Dec 11 2003 Stephane <galland@arakhne.org>
- Syntactic bug fix

* Thu Dec 11 2003 Stephane <galland@arakhne.org>
- Adds the name of the new contributors

* Thu Dec 11 2003 Stephane <galland@arakhne.org>
- Major Bug fixes

* Fri Sep 26 2003 Stephane <galland@arakhne.org>
- Adds the generated 'Extended' (with support of
  more bibtex fields)
- Better author name support
- Major Bug fixes ("et al.", ...)

* Fri Aug 01 2003 Stephane <galland@arakhne.org>
- Adds the command \cite
- Bug fixes

* Mon Jul 28 2003 Stephane <galland@arakhne.org>
- Sign this package with my GPG signature.

* Wed Jul 09 2003 Stephane <galland@arakhne.org>
- Adds LaTeX math-mode support
- Adds partial MathML support
- Major bug fixes

* Tue Jun 26 2003 Stephane <galland@arakhne.org>
- Adds multi-language support
- Adds themes
- Major bug fixes

* Fri Mar 04 2003 Stephane <galland@arakhne.org>
- first RPM version
